VERSION 5.00
Object = "{398EA325-39E8-11D1-ACBD-0080C7316F20}#1.2#0"; "HyperNav.ocx"
Begin VB.Form Form1 
   Caption         =   "HyperNavigation Control Sample"
   ClientHeight    =   4245
   ClientLeft      =   1650
   ClientTop       =   1620
   ClientWidth     =   4005
   LinkTopic       =   "Form1"
   ScaleHeight     =   4245
   ScaleWidth      =   4005
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   120
      List            =   "Form1.frx":0010
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   3240
      Width           =   2175
   End
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "Refresh"
      Height          =   375
      Left            =   2520
      TabIndex        =   5
      Top             =   2760
      Width           =   1290
   End
   Begin VB.CommandButton cmdGoDesktop 
      Caption         =   "Go Desktop"
      Height          =   375
      Left            =   2520
      TabIndex        =   4
      Top             =   1560
      Width           =   1290
   End
   Begin VB.CommandButton cmdGoForward 
      Caption         =   "Go Forward"
      Height          =   375
      Left            =   2520
      TabIndex        =   3
      Top             =   1080
      Width           =   1290
   End
   Begin VB.CommandButton cmdGoBack 
      Caption         =   "Go Back"
      Height          =   375
      Left            =   2520
      TabIndex        =   2
      Top             =   600
      Width           =   1290
   End
   Begin HyperNavigationCtl.HyperNavigation HyperNav1 
      Height          =   2535
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   2175
      _ExtentX        =   3836
      _ExtentY        =   4471
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2175
   End
   Begin VB.Label lblClicked 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   120
      TabIndex        =   7
      Top             =   3960
      Width           =   45
   End
   Begin VB.Label lblPath 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   120
      TabIndex        =   6
      Top             =   3720
      Width           =   45
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdGoBack_Click()

'go back.
HyperNav1.GoBack

End Sub


Private Sub cmdGoDesktop_Click()

'set the path of HyperNavigation control to
'the current Windows Desktop.
HyperNav1.GoDesktop

End Sub

Private Sub cmdGoForward_Click()

'go forward.
HyperNav1.GoForward

End Sub


Private Sub cmdRefresh_Click()

'refresh the HyperNavigation control.
HyperNav1.Refresh

End Sub


Private Sub Combo1_Click()

'set the new pattern.
HyperNav1.Pattern = Combo1.List(Combo1.ListIndex)

'refresh the HyperNavigation control.
HyperNav1.Refresh

End Sub


Private Sub Drive1_Change()

'change the path.
HyperNav1.Path = Left(Drive1.Drive, 2) & "\"

End Sub

Private Sub Form_Load()

'set the initial path.
HyperNav1.Path = Drive1.Drive & "\"

'set the default pattern (*.*).
Combo1.ListIndex = 0

End Sub

Private Sub HyperNav1_Click(ByVal FileName As String)

'show which item was clicked.
lblClicked.Caption = "Clicked: " & FileName

End Sub

Private Sub HyperNav1_PathChanged(ByVal NewPath As String, ByVal OldPath As String)

'show the current path.
lblPath.Caption = "Path: " & NewPath

End Sub


